#include <cstdio>
#include <algorithm>
#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    long long a;
    long long b;
    long long c;
    long long d;
    cin>>a>>b>>c>>d;
    if(a==c || b==d) cout<<"2";
    else if(a+b==c+d) cout<<"1";
    else if(a-b==c-d) cout<<"1";
    else cout<<"0";





    return 0;
}